List nearby pricing locations
curl --request GET \
--url https://api.felixfusion.ai/v1/pricing_locations/nearby \
--header 'x-api-key: <api-key>'import requests
url = "https://api.felixfusion.ai/v1/pricing_locations/nearby"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.felixfusion.ai/v1/pricing_locations/nearby', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.felixfusion.ai/v1/pricing_locations/nearby",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.felixfusion.ai/v1/pricing_locations/nearby"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.felixfusion.ai/v1/pricing_locations/nearby")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.felixfusion.ai/v1/pricing_locations/nearby")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"gs_entity_id": "<string>",
"location": "<string>",
"market_id": "<string>",
"distance_in_miles": 123
}
]Pricing locations
List nearby pricing locations
Find pricing locations near a coordinate or known location id.
GET
/
v1
/
pricing_locations
/
nearby
List nearby pricing locations
curl --request GET \
--url https://api.felixfusion.ai/v1/pricing_locations/nearby \
--header 'x-api-key: <api-key>'import requests
url = "https://api.felixfusion.ai/v1/pricing_locations/nearby"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.felixfusion.ai/v1/pricing_locations/nearby', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.felixfusion.ai/v1/pricing_locations/nearby",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.felixfusion.ai/v1/pricing_locations/nearby"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.felixfusion.ai/v1/pricing_locations/nearby")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.felixfusion.ai/v1/pricing_locations/nearby")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"gs_entity_id": "<string>",
"location": "<string>",
"market_id": "<string>",
"distance_in_miles": 123
}
]Authorizations
ApiKeyHeaderApiKeyQuery
Query Parameters
Comma-separated ISO codes. The first value is used as the market code.
Optional limit for returned rows.
Latitude used to find nearby locations.
Longitude used to find nearby locations.
Known location id to use as the nearby search anchor.